require "epay/client/version"
require 'digest/md5'
require 'unirest'
require 'json'
module EpayClient
    def get_transactions(v2_hash,account)
      uri="https://api.epay.com/paymentApi/getTransactionRecords?PAYER_ACCOUNT=#{account}&V2_HASH=#{v2_hash}"
      request(uri)
    end

    def request(uri)
      response = Unirest.get "#{uri}",
                             headers:{ "Accept" => "application/json" } ,parameters: nil
      response
    end
    def calc_v2_hash(account,key)
      @v2_hash=Digest::MD5.hexdigest("#{account}:#{key}")
    end
end
